window.addEventListener('load', show)
function show(){
   var  o = document.querySelector('.preloader');
   document.body.removeChild(o);
}

/*Init Functions*/
initNav();              //Init buttons events to show pages
setForms();             //Prepare forms: susbcribe and contact 
run_countdown('count'); //launch counter


/*
set events behaviour to show sections: about, info, address...
Animations are set by CSS styles.
*/
function initNav(){
var navs = document.querySelectorAll(".nav ul li");
navs.forEach((element) => element.addEventListener('click', showSection));
     //Show every section of the page: about, info, adress, suscribe, contact
    function showSection(){
        var antPage = document.querySelector(".content .active");
        antPage.classList.remove('active')
        var page =  event.currentTarget.dataset.page;
        var oPage = document.getElementById(page);
        oPage.classList = "active";
    }
}


/* Forms contact and subscribe routine */
/* Every form has a respForm, a modal window for notifications*/
function setForms(){    
 var forms = document.getElementsByTagName('form');
 forms = Array.from(forms);
 forms.forEach((element)=>{
    element.addEventListener('submit', sendForm);
    }
  )
 /*Set event close for form's modals  */
 var wnd = document.querySelectorAll('.respForm');
 wnd.forEach((element)=> element.addEventListener('click', ()=>{event.currentTarget.style.display='none'}))
}
/*Forms are sent by an ajax method.*/
function sendForm()
{
   event.preventDefault();
   var form = event.target;
   const data = new FormData(form);
   fetch("post.php", {method:"POST", body: data})
       .then(function(response) {
              if (!response.ok) {
                  let idWnd = 'mod_'+form.id; 
                  let Wnd = document.getElementById(idWnd);
                  let cont = wnd.querySelector('.modal-body');
                  cont.innerHTML="<p>Parece que hubo un error. Vuelva a intentarlo en unos minutos</p>";
                  showModal(idWnd);
                  }
              return response.text();
            })
       .then(function(data) {
              let idWnd = 'mod_'+form.id; 
              let wnd = document.getElementById(idWnd);
              let cont = wnd.querySelector('.modal-body');
              if(data.toUpperCase() == 'OK'){
                cont.innerHTML="<p>Thanks you for contacting us</p>";
                form.reset();
                }
              else{
                cont.innerHTML="<p>Oh, There was an error. Please, try again later. "+data+"</p>";
                }
              showModal(idWnd)
            })
   }

/*Open modal window for notifying 
I'ts autoclose after 2seconds.
*/
function showModal(id){
    var wnd = document.getElementById(id);
    wnd.style.display= "flex";
    //setTimeout(()=>wnd.style.display='', 3000)
    }


// JavaScript Document
function run_countdown(id) {
    var countdown = document.getElementById(id);
    var timecount = countdown.dataset.dateEnd;
    var day_span = countdown.querySelector('.days');
    var hour_span = countdown.querySelector('.hours');
    var minute_span = countdown.querySelector('.minutes');
    var second_span = countdown.querySelector('.seconds');
    var days_title = document.getElementById('days_title');
    var hours_title = document.getElementById('hours_title');
    var mins_title = document.getElementById('mins_title');
    var secs_title = document.getElementById('secs_title');

/*Calculate the interval an write values of days, hours, minutes and seconds*/
function update_countdown() {
    var t = time_counting();
    var width= window.innerWidth;
    var minW = 972;    //Below width 972pixels it's use initial for hours, mins and seconds.
    day_span.innerHTML = t.days.toString().padStart(2,0);
    
    days_title.innerHTML = t.days === 1?'Day':'Days';
    hour_span.innerHTML = t.hours.toString().padStart(2,0);			
    minute_span.innerHTML = t.minutes.toString().padStart(2,0);			
    second_span.innerHTML = t.seconds.toString().padStart(2,0);
    if(width > minW){
        hours_title.innerHTML = t.hours === 1?'Hour':'Hours';
        mins_title.innerHTML = t.minutes === 1?'Minute':'Minutes';
        secs_title.innerHTML = t.seconds === 1?'Second':'Seconds';
    }
    else{
        hours_title.innerHTML = 'H';
        mins_title.innerHTML = 'M'
        secs_title.innerHTML = 'S';    
    }
    if (t.days+t.hours+t.minutes+t.seconds<=0)
        clearInterval(timeinterval);

}
/*Here we calculate the difference between actual date and the enddate (timecount)*/
function time_counting() {
    var t = Date.parse(timecount) - Date.parse(new Date());
    var seconds = Math.floor((t / 1000) % 60);
    var minutes = Math.floor((t / 1000 / 60) % 60);
    var hours = Math.floor((t / (1000 * 60 * 60)) % 24);
    var days = Math.floor(t / (1000 * 60 * 60 * 24));
    return {
        'total': t,
        'days': days,
        'hours': hours,
        'minutes': minutes,
        'seconds': seconds
    };
}
/*Write first value*/
update_countdown();
/*Call every second the updadte_countdown to calculate the interval*/
var timeinterval = setInterval(update_countdown, 1);
}
